Refresh managed user tokens
Platform / Managed Users
Refresh managed user tokens
If managed user access token is expired then get a new one using this endpoint - it will also refresh the refresh token, because we use
“refresh token rotation” mechanism. Access token is valid for 60 minutes and refresh token for 1 year. Make sure to store them in your database, for example, in your User database model
calAccessToken and calRefreshToken fields.
Response also contains accessTokenExpiresAt and refreshTokenExpiresAt fields, but if you decode the jwt token the payload will contain clientId (OAuth client ID), ownerId (user to whom token belongs ID), iat (issued at time) and expiresAt (when does the token expire) fields.POST
Refresh managed user tokens
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
OAuth client secret key.
Path Parameters
Body
application/json
Managed user's refresh token.